Bug 217300 - perl(:MODULE_COMPAT_5.8.0)
perl(:MODULE_COMPAT_5.8.0)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 14:01 EST by Christopher McCrory
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2006-11-26 14:01:03 EST
Description of problem:
( enhancement)

perl rpm does not provide perl(:MODULE_COMPAT_5.8.0)

Version-Release number of selected component (if applicable):
perl-5.8.0-94.EL3

How reproducible:
sometimes

Steps to Reproduce:
1. taroon.server.shell> rpmbuild --rebuild
http://mirrors.kernel.org/fedora/core/updates/testing/5/SRPMS/spamassassin-3.1.7-1.fc5.src.rpm
2. rpm -Uvh spamassassin-3.1.7-1.i386.rpm
3. error: Failed dependencies:
        perl(:MODULE_COMPAT_5.8.0) is needed by spamassassin-3.1.7-1

  
Actual results:
error: Failed dependencies:
        perl(:MODULE_COMPAT_5.8.0) is needed by spamassassin-3.1.7-1


Expected results:
gets updated

Additional info:
newer versions of perl in RHEL and fedora provide perl(:MODULE_COMPAT_$version)
It would be nice if the RHEL3 build of perl also provided that also.
Some of us back compile newer versions of various perl software ( like
spamassassin); being able to "rpmbuild --rebuild ..." rather than download, edit
, rpmbuild ... would be nice.

thanks
Comment 1 RHEL Product and Program Management 2007-10-19 14:39:53 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.